%define beta %nil

%define rname soprano
Summary: Qt wrapper API to different RDF storage solutions
Name: soprano-backend-sesame
Version: 2.4.4
Release: alt0.M51.1

Group: Text tools
License: LGPLv2+
Url: http://sourceforge.net/projects/soprano

#Requires: java
#Requires: %_libjvmserver_sun_private_default
Requires: libqt4-core >= %{get_version libqt4-core}
Requires: lib%rname = %version

Provides: soprano-backend = %version-%release


Source0: http://downloads.sf.net/soprano/soprano-%version%{?beta}.tar.bz2

BuildRequires(pre): libqt4-devel >= 4.4
BuildRequires: cmake gcc-c++ doxygen graphviz libclucene-devel libredland-devel xorg-devel
BuildRequires: java-devel-default rpm-build-java chrpath


%description
Soprano (formally known as QRDF) is a library which provides a nice Qt
interface to RDF storage solutions. It has a modular structure which
allows to  replace the actual RDF storage implementation used.


%prep
%setup -q -n %rname-%version%{?beta}


%build
%define _optlevel s
%add_optflags -DNDEBUG
#JAVA_DIR=$(echo $(readlink $(readlink $(which java))) | sed 's|jre/bin/java$||')
#JAVA_INCLUDE_PATH=$JAVA_DIR/include
#JAVA_INCLUDE_PATH2=$JAVA_DIR/include/linux
#JAVA_AWT_INCLUDE_PATH=$JAVA_DIR/include
%define lib_suffix %nil
%ifarch x86_64 ppc64
%define lib_suffix 64
%endif
mkdir -p %_target_platform
pushd %_target_platform
cmake .. \
    -DCMAKE_INSTALL_PREFIX=%prefix \
    -DCMAKE_BUILD_TYPE:STRING=Release \
    -DCMAKE_C_FLAGS_RELEASE:STRING='%optflags' \
    -DCMAKE_CXX_FLAGS_RELEASE:STRING='%optflags' \
    -DLIB_DESTINATION=%_lib \
    -DLIB_SUFFIX=%lib_suffix
#    -DCMAKE_SKIP_RPATH:BOOL=YES \
#    -DJAVA_INCLUDE_PATH="$JAVA_INCLUDE_PATH" \
#    -DJAVA_INCLUDE_PATH2="$JAVA_INCLUDE_PATH2" \
#    -DJAVA_AWT_INCLUDE_PATH="$JAVA_AWT_INCLUDE_PATH" \
popd

%make_build -C %_target_platform/backends/sesame2 VERBOSE=1

%install
%make -C %_target_platform/backends/sesame2 DESTDIR=%buildroot install
chrpath -r `dirname %_libjvmserver_sun_private_default` %buildroot/%_libdir/soprano/libsoprano_sesame2backend.so

# HACK around find-requires
%define __find_requires    %buildroot/.find-requires
cat > %buildroot/.find-requires <<EOF
#!/bin/sh
(/usr/lib/rpm/find-requires | sed -e 's,/usr/lib/jvm/java-[^/]*/,/usr/lib/jvm/java/,g') || :
EOF
chmod 755 %buildroot/.find-requires
# end HACK around find-requires

%files
%doc AUTHORS README TODO
%_libdir/soprano/libsoprano_sesame2backend.so
%_datadir/soprano/plugins/sesame2backend.desktop
%_datadir/soprano/sesame2


%changelog
* Wed Jul 14 2010 Sergey V Turchin <zerg@altlinux.org> 2.4.4-alt0.M51.1
- built for M51

* Wed Jul 14 2010 Sergey V Turchin <zerg@altlinux.org> 2.4.4-alt1
- new version

* Wed May 12 2010 Sergey V Turchin <zerg@altlinux.org> 2.4.3-alt0.M51.1
- build for M51

* Wed May 12 2010 Sergey V Turchin <zerg@altlinux.org> 2.4.3-alt1
- new version

* Tue Apr 20 2010 Sergey V Turchin <zerg@altlinux.org> 2.4.1-alt0.M51.1
- build for M51

* Fri Apr 02 2010 Sergey V Turchin <zerg@altlinux.org> 2.4.1-alt1
- new version

* Wed Mar 03 2010 Sergey V Turchin <zerg@altlinux.org> 2.4.0.1-alt1
- new version

* Mon Feb 01 2010 Sergey V Turchin <zerg@altlinux.org> 2.3.73-alt1
- new version

* Fri Jan 15 2010 Sergey V Turchin <zerg@altlinux.org> 2.3.71.1070828-alt1
- 2.3.71 svn r1070828

* Fri Nov 20 2009 Sergey V Turchin <zerg@altlinux.org> 2.3.1-alt2
- fix build requires

* Tue Oct 20 2009 Sergey V Turchin <zerg@altlinux.org> 2.3.1-alt1
- initial specfile
